Bug 144841 - i18n: wrong ordering in simplified Chinese locale
i18n: wrong ordering in simplified Chinese locale
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-01-11 16:36 EST by Mitrophan Chin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-13 14:53:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
added Chinese msgstr to misc-utils/cal.c:439 and misc-utils/cal.c:780 (182.56 KB, application/octet-stream)
2005-01-13 14:36 EST, Mitrophan Chin
no flags Details

  None (edit)
Description Mitrophan Chin 2005-01-11 16:36:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When running the cal command in the Simplified Chinese locale, the
month year order is not in Chinese locale. The year should come before
the month, and the Chinese character for year should be suffixed after
the numerical year. Also the month number should be Arabic and not
Chinese, when used with Simplified Chinese locale.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. login using Simplified Chinese locale
2. open a terminal window
3. run the cal command

Actual Results:       一月 2005
日 一 二 三 四 五 六
 2  3  4  5  6  7  8
 9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31

Expected Results:        2005年1月 
日 一 二 三 四 五 六
 2  3  4  5  6  7  8
 9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31

Additional info:
Comment 1 Mitrophan Chin 2005-01-13 14:36:33 EST
Created attachment 109735 [details]
added Chinese msgstr to misc-utils/cal.c:439 and misc-utils/cal.c:780

In CJK environment, you may want to swap the arguments around with year
following by month, eg:

usage: cal [-13smjyV] [year [month]]
Comment 2 Elliot Lee 2005-01-19 18:28:25 EST
Changing the arguments around is going to confuse scripts and such - I
don't think that part will happen. But thanks for the patch, which I
hope to apply sometime in the near future. If you would like to send
it to the upstream maintainer as well, that'd be nice.
Comment 3 John Thacker 2007-01-13 14:53:14 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.